Data.Set

# Set type

data Set a

# Operators

(\\)

# Query

null
size
member
notMember
isSubsetOf
isProperSubsetOf

# Construction

empty
singleton
insert
delete

# Combine

union
unions
difference
intersection

# Filter

filter
partition
split
splitMember

# Map

map
mapMonotonic

# Fold

fold

# Min/Max

findMin
findMax
deleteMin
deleteMax
deleteFindMin
deleteFindMax
maxView
minView

# Conversion

## List

elems
toList
fromList

## Ordered list

toAscList
fromAscList
fromDistinctAscList

# Debugging

showTree
showTreeWith
valid